summaryrefslogtreecommitdiff
path: root/pcr/openrc-base/ftpd.initd
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2015-06-23 03:13:28 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2015-06-23 03:13:28 -0500
commit6f1180f35fee220f92044e8f8a0a220ff308b295 (patch)
treeb6899369633ce3051d62f9f4cd5d81217f158d35 /pcr/openrc-base/ftpd.initd
parentc2575baf97c888d66a7fef69a84b5718dbab28c9 (diff)
downloadabslibre-6f1180f35fee220f92044e8f8a0a220ff308b295.tar.gz
abslibre-6f1180f35fee220f92044e8f8a0a220ff308b295.tar.bz2
abslibre-6f1180f35fee220f92044e8f8a0a220ff308b295.zip
{cronie,cryptsetup,dbus,device,dhcpcd,glibc,inetutils,lvm2,mdadm}-openrc-20150613-1: updating version
Diffstat (limited to 'pcr/openrc-base/ftpd.initd')
-rw-r--r--pcr/openrc-base/ftpd.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/pcr/openrc-base/ftpd.initd b/pcr/openrc-base/ftpd.initd
new file mode 100644
index 000000000..a53184c4c
--- /dev/null
+++ b/pcr/openrc-base/ftpd.initd
@@ -0,0 +1,27 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+FTPD_BINARY="/usr/bin/ftpd"
+FTPD_PIDFILE="/run/ftpd.pid"
+
+depend() {
+ use logger dns
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec "${FTPD_BINARY}" \
+ --pidfile "${FTPD_PIDFILE}" \
+ -- ${FTPD_ARGS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec "${FTPD_BINARY}" \
+ --pidfile "${FTPD_PIDFILE}" --quiet
+ eend $?
+}
+